#include "includeSdl.h"
#include "../../emu/h/types.h"
#include "../../emu/h/emuPalette.h"
#include "../../nes/h/ppu.h"
#include "../../nes/h/nesGeneral.h"

#include "main.h"
#include "video.h"

static u32 iStart, iEnd;
static u16 sFps;

extern void InfoNES_LoadFrame();

void FrameDef()
{
	
	sFps = 0;
}

void StartFrame(ui *pitch, void **surface)
{
	
	if (pal16)
	{
		*surface = screen;
		*pitch = 256 ;
	}
	
}

void Render()
{
	
	//SDL_Flip(screen);
	InfoNES_LoadFrame();
}

void EndFrameNTSC()
{
	
}

void EndFramePAL()
{
	
}
