#include "../../emu/h/types.h"
#include <stdio.h>
#include "../../emu/h/interface.h"
#include "../../emu/h/mapper.h"

typedef PDLLInfo	(*nestenLoad_DLL)	(int VersionRequired);
typedef void		(*nestenUnload_DLL)	();

extern nestenLoad_DLL		nestenMapLoad;
extern nestenUnload_DLL		nestenMapUnload;
 

	#ifndef notExternC 
	extern "C"
	{
	#endif
		PDLLInfo	 nsf_Load_DLL (int VersionRequired);
		PDLLInfo	iNes_Load_DLL (int VersionRequired);
		PDLLInfo	unif_Load_DLL (int VersionRequired);
		PDLLInfo	 fds_Load_DLL (int VersionRequired);

		void	 nsf_Unload_DLL ();
		void	iNes_Unload_DLL ();
		void	unif_Unload_DLL ();
		void	 fds_Unload_DLL ();
#ifndef notExternC
	};
#endif
	char loadNestenMap()
	{

		nestenMapLoad		= iNes_Load_DLL;
		nestenMapUnload		= iNes_Unload_DLL;
		nestenDll			= nestenMapLoad(CurrentMapperInterface);
		if (!nestenDll)
		{
			emuMsg("couldn't load Mapper Interface (nestenMapLoad())");
			return 3;
		}
		
		return 0;
	} 

	void unloadNestenMap()
	{
		if (mapInfo)
			mapInfo->UnloadMapper();
		mapInfo = 0;


		if (nestenMapUnload)
			nestenMapUnload();
	}

