#include "includeSdl.h"

#include "../../emu/h/types.h"
#include "../../nes/h/nesGeneral.h"
#include "../../nes/h/cpu.h"

char padOppositeLock = 0;

u8 inputMode[2];

extern "C" void ps2_update_input(void);
extern  unsigned  dwKeyPad2, dwKeyPad1;

inline void padLock()
{
	if (padOppositeLock)
	{
		for (char n=0; n<2; n++)
		{
			if ((~pad[n] & 0x80) && (~pad[n] & 0x40))
				pad[n] |= 0x80;

			if ((~pad[n] & 0x20) && (~pad[n] & 0x10))
				pad[n] |= 0x20;
		}
	}
}

void buildKeysNormal()
{
/*
	unsigned char *keys = SDL_GetKeyState(NULL);
		     
   
	if (keys == NULL)
	{
	 printf("!!");
		brunNes = 0;
		return;
	}	
	
	pad[0] = pad[1] = 0;
	
	for (int i=0; i<8; i++)
	{
		pad[0] <<=1;
		pad[0]  |= !keys[padmode[inputMode[0]][7-i]];
		pad[1] <<=1;
		pad[1]  |= !keys[padmode[inputMode[1]][7-i]];
	}
	
	padLock();	
	
*/
	pad[0] = pad[1] = 255;
	ps2_update_input();	
    pad[0]=(u8)(0xff-(dwKeyPad1&0xFF));  
    pad[1]=(u8)(0xff-(dwKeyPad2&0xFF));  
  
    padLock();
   
    
}

//Make it as int
void BuildKeys()
{
/*	if (nesMode & netPlayMode)
		buildKeysNet();
	else*/
		buildKeysNormal();
}
