#include "includeSdl.h"
#include "../../emu/h/types.h"
#ifndef noSoundPlz
	#include "../../nes/blargg/Nes_Apu.h"
	#include "../../nes/blargg/Blip_Buffer.h"
#endif

#include "../../nes/h/apu.h"
#include "../../emu/h/emuMemory.h"
#include <string.h>

const int freqbits			= 16;
const int freqbytes			= freqbits/8;
const int soundFrames		= 4;
const int channels			= 1;
const int nBlockAlign		= freqbytes  * channels;
const int nAvgBytesPerSec	= samples_per_sec * nBlockAlign;
const int bufferSize		= (nAvgBytesPerSec / 60) * soundFrames;
const float soundCount		= (samples_per_sec / 60.0f ); //* soundFrames;

extern u8 nesMode;
char soundPlaying = 1;

char bInitSound = 0;
char inSoundCode = 0;


/* Open the audio device */

void stopSound()
{
	inSoundCode = 0;
}

void dummySoundCallback(void *userdata, u8 *stream, int len)
{
	if (inSoundCode == 0)
	{
		memset(stream, 0, len);
	}
	else
	{
#ifndef noSoundPlz
		buf.read_samples((short*) stream, len/2);
#endif
	}
}

int initSound()
{
	bInitSound=1;


	return 0;
} 

void uninitSound()
{
	
}

void playSound()
{
	inSoundCode = 1;
	/*
	short *pBuf, *pBuf2;
	unsigned long bufSize, bufSize2;
	int samplesIn;

	//freqbytes make it so it is allways a multiple of the bit size
	int frameSize	= ((nAvgBytesPerSec / ((runMode & 1) ? 50 : 60)) + freqbytes-1) & (0x800 - freqbytes);	//Make sure its a multiple of freqbytes

	if (!soundPlaying)
		goto endplaySound;

	//hardware_spec
	inSoundCode = 1;
	SDL_LockAudio();
	SDL_UnlockAudio();
	//inSoundCode = 0;
endplaySound:
	{
		int sampleAvailible=1;
		while (sampleAvailible)
		{
			short dummy[4410];
			sampleAvailible = buf.read_samples(dummy, 4410);
		}
	}
	*/
}
